--- a/Makefile.in
+++ b/Makefile.in
@@ -16,7 +16,7 @@
 mandir		= @mandir@
 
 CC	= @CC@
-CFLAGS	= @CFLAGS@ -DDSNIFF_LIBDIR=\"$(libdir)/\"
+CFLAGS	= @CFLAGS@ 
 LDFLAGS	= @LDFLAGS@
 
 PCAPINC = @PCAPINC@
@@ -75,12 +75,20 @@
 .c.o:
 	$(CC) $(CFLAGS) $(INCS) -c $(srcdir)/$*.c
 
-all: libmissing.a $(PROGS)
+all: $(PROGS)
+
+$(PROGS): libmissing.a
+
+$(OBJS): $(GEN)
 
+mount.h: mount.x
+	rpcgen -h mount.x -o mount.h
+
 mount.c: mount.x
-	rpcgen -h mount.x -o mount.h
 	rpcgen -c mount.x -o mount.c
 
+nfs_prot.h: nfs_prot.x	
+	rpcgen -h nfs_prot.x -o nfs_prot.h
+
 nfs_prot.c: nfs_prot.x
-	rpcgen -h nfs_prot.x -o nfs_prot.h
 	rpcgen -c nfs_prot.x -o nfs_prot.c
@@ -93,7 +97,7 @@
 	$(RANLIB) $@
 
 dsniff: $(HDRS) $(SRCS) $(OBJS)
-	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS) $(NIDSLIB) $(PCAPLIB) $(LNETLIB) $(DBLIB) $(SSLLIB)
+	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS) $(DBLIB) $(NIDSLIB) $(PCAPLIB) $(LNETLIB) $(SSLLIB)
 
 arpspoof: arpspoof.o arp.o
 	$(CC) $(LDFLAGS) -o $@ arpspoof.o arp.o $(LIBS) $(PCAPLIB) $(LNETLIB)
@@ -114,7 +118,7 @@
 	$(CC) $(LDFLAGS) -o $@ msgsnarf.o buf.o pcaputil.o $(LIBS) $(NIDSLIB) $(PCAPLIB) $(LNETLIB)
 
 sshmitm: sshmitm.o buf.o hex.o record.o ssh.o sshcrypto.o
-	$(CC) $(LDFLAGS) -o $@ sshmitm.o buf.o hex.o record.o ssh.o sshcrypto.o $(LIBS) $(LNETLIB) $(DBLIB) $(SSLLIB)
+	$(CC) $(LDFLAGS) -o $@ sshmitm.o buf.o hex.o record.o ssh.o sshcrypto.o $(LIBS) $(DBLIB) $(LNETLIB) $(SSLLIB)
 
 sshow: sshow.o pcaputil.o
 	$(CC) $(LDFLAGS) -o $@ sshow.o pcaputil.o $(LIBS) $(NIDSLIB) $(PCAPLIB) $(LNETLIB)
@@ -132,7 +136,7 @@
 	$(CC) $(LDFLAGS) -o $@ urlsnarf.o base64.o buf.o pcaputil.o $(LIBS) $(NIDSLIB) $(PCAPLIB) $(LNETLIB)
 
 webmitm: webmitm.o base64.o buf.o decode_http.o record.o
-	$(CC) $(LDFLAGS) -o $@ webmitm.o base64.o buf.o decode_http.o record.o $(LIBS) $(LNETLIB) $(DBLIB) $(SSLLIB)
+	$(CC) $(LDFLAGS) -o $@ webmitm.o base64.o buf.o decode_http.o record.o $(LIBS) $(DBLIB) $(LNETLIB) $(SSLLIB)
 
 webspy: webspy.o base64.o buf.o remote.o
 	$(CC) $(LDFLAGS) -o $@ webspy.o base64.o buf.o remote.o $(LIBS) $(NIDSLIB) $(PCAPLIB) $(LNETLIB) $(X11LIB)
